<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto">

<!--    head-->
    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        app:layout_constraintTop_toTopOf="parent"
        android:id="@+id/id_head"
        android:paddingStart="15dp"
        android:paddingEnd="15dp"
        android:layout_height="wrap_content">
        <TextView
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            android:id="@+id/id_name_type"
            android:text="@string/str_deal_name_type"
            style="@style/HoldHeadTextStyle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>
        <TextView
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            android:id="@+id/id_deal_num_price"
            android:text="@string/str_deal_num_price"
            style="@style/HoldHeadTextStyle"
            android:gravity="end"
            app:layout_constraintEnd_toEndOf="parent"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>
        <TextView
            app:layout_constraintTop_toTopOf="parent"
            android:id="@+id/id_deal_time"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"
            android:text="@string/str_deal_time"
            style="@style/HoldHeadTextStyle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

    </androidx.constraintlayout.widget.ConstraintLayout>
    <include
        layout="@layout/line_view"
        android:id="@+id/line2"
        app:layout_constraintTop_toBottomOf="@+id/id_head"
        android:layout_width="match_parent"
        android:layout_height="0.1dp"/>

<!--    列表-->
    <androidx.recyclerview.widget.RecyclerView
        android:layout_width="match_parent"
        android:id="@+id/id_deal_list"
        app:layout_constraintTop_toBottomOf="@+id/line2"
        app:layout_constraintBottom_toBottomOf="parent"
        android:layout_height="0dp"/>

</androidx.constraintlayout.widget.ConstraintLayout>